Changeset 248


Ignore:
Timestamp:
Apr 27, 2011, 6:22:44 PM (8 years ago)
Author:
amain
Message:

emdebian: install correct debian packages for arm comile .. fix for ticket #104

File:
1 edited

Legend:

Unmodified
Added
Removed
  • debwrt/trunk/debian/buildenv/debian.mk

    r181 r248  
    9696        sudo chroot $(DEBIAN_BUILD_DIR) apt-get -y install libmpfr1ldbl
    9797        sudo chroot $(DEBIAN_BUILD_DIR) bash -c "export LC_ALL=C; apt-get -y --force-yes install build-essential debootstrap fakeroot zlib1g-dev dh-make openssh-client dpkg-cross vim pkg-config dpatch libncurses5-dev devscripts subversion automake gcc-multilib g++-multilib"
     98ifeq ($(TARGET_ARCH),arm)
     99        sudo chroot $(DEBIAN_BUILD_DIR) bash -c "export LC_ALL=C; apt-get -y --force-yes install libc6-armel-cross libc6-dev-armel-cross binutils-arm-linux-gnueabi gcc-4.3-arm-linux-gnu g++-4.4-arm-linux-gnueabi linux-kernel-headers-armel-cross"
     100else
    98101        sudo chroot $(DEBIAN_BUILD_DIR) bash -c "export LC_ALL=C; apt-get -y --force-yes install libc6-$(TARGET_ARCH)-cross libc6-dev-$(TARGET_ARCH)-cross binutils-$(TARGET_ARCH)-linux-gnu gcc-4.3-$(TARGET_ARCH)-linux-gnu g++-4.3-$(TARGET_ARCH)-linux-gnu linux-kernel-headers-$(TARGET_ARCH)-cross"
     102endif
    99103        touch $@
    100104
Note: See TracChangeset for help on using the changeset viewer.